Developing # 162 (Закрыта): Фукнционал телескопа Т1

Расширение класса ERQTelescopeTrack
Status: Закрыта Start date: 03/07/2018

Priority: Высокий Due date: 03/09/2018

Assignee: Mikhail Kozlov % Done: 100%

Category: Software Estimated time: 0.00 hour

Target version:    

Description

Оказывается, что точка попадения частицы на мишень восстанавливается правильно. Но при восстановлению 4вектора

частицы есть проблема связанна с тем, что в классе ERQTelescopeTrack не сохраняется информация об энергии.

Предлагаю для каждой найденной точки попадания (все равно, если она правильная или нет) добавить еще суммарный

депозит энергии из всех слоев телескопа, который зарегистрирован в данных стрипах. Таким образом будет очень легко

воспроизвести объект класса TLorentzVector.

В результате получим структуру аналогичную с MCTrack и их будет легко сравнивать.

History

#1 - 03/07/2018 05:50 PM - Vratislav Chudoba

- Description updated

#2 - 03/08/2018 12:46 AM - Mikhail Kozlov

Добавил для каждого трека сумму edep на X и Y стрипах.

#3 - 03/08/2018 09:02 PM - Vratislav Chudoba

- % Done changed from 0 to 90

Все работает правильно.

Только строку 167 в файле ERQTelescopeTrackFinder.cxx пришлось заменить на

Double_t sumEdep = ( xStrip->GetEdep() + yStrip->GetEdep() )/2.;

 

После замены в репозитории можно задачу закрыт и считать ее стопроцентной.

#4 - 03/09/2018 11:14 AM - Mikhail Kozlov

- Status changed from Открыта to Закрыта

- % Done changed from 90 to 100
